Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Interface UploadedFile

    public interface UploadedFile

Author:
  Konstantin Mishin

Method Summary
`void` | `delete()`
`java.lang.String` | `getContentType()`
`byte[]` | `getData()`
`java.lang.String` | `getHeader(java.lang.String headerName)`
`java.util.Collection<java.lang.String>` | `getHeaderNames()`
`java.util.Collection<java.lang.String>` | `getHeaders(java.lang.String headerName)`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParameterName()`
`long` | `getSize()`
`void` | `write(java.lang.String fileName)`

Method Detail

### getContentType

    java.lang.String getContentType()

### getData

    byte[] getData()
                   throws FileUploadException

  Throws:
    `FileUploadException`

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getName

    java.lang.String getName()

### getSize

    long getSize()

### delete

    void delete()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    void write(java.lang.String fileName)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHeader

    java.lang.String getHeader(java.lang.String headerName)

### getHeaderNames

    java.util.Collection<java.lang.String> getHeaderNames()

### getHeaders

    java.util.Collection<java.lang.String> getHeaders(java.lang.String headerName)

### getParameterName

    java.lang.String getParameterName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.